GET /api/v3/agencies/{lcuid}¶
Summary¶
GET agencies/{id}
Description¶
Return a single agency / media owner record
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
agency.view
Tags: agencies
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): Indicates whether the request was successful or notagency(object) Type:object
Properties:
name(string): The name of the agencydescription(string): A description of the agencysoftware_provider(string): The software providers used by the agency if they are an operatorwebsite(string): The website associated with the agencystatus(integer): The status of the agencyagency_class(string): The class of the agency (Operator or AdAgency)-
options(object) Type:objectProperties:
primary_image_public_url(string): The public URL of the primary image associated with the agencysupport_text(string)proof_legal_text(string)
-
lcuid(string): The LCUID associated with the agency slug(string): The unique identifier (slug) for the agencycreated_at(string): The timestamp indicating when the agency was createdupdated_at(string): The timestamp indicating when the agency was last updatedagency_class_description(string): The description of the agency class
Example Response¶
{
"success": true,
"agency": {
"name": "Breezy Billboards",
"description": "Here is a new unit test agency description",
"software_provider": null,
"website": null,
"status": 0,
"agency_class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
"options": {
"primary_image_public_url": null,
"support_text": null,
"proof_legal_text": null
},
"lcuid": "LCUID-LY-833943d0-de16-44b4-b35b-67d8f89513dd",
"slug": "TestAgencyUnitTest2cnwl",
"created_at": "2026-01-07T00:10:09.000000Z",
"updated_at": "2026-01-07T00:10:09.000000Z",
"agency_class_description": "Operator"
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()